import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.awt.event.KeyEvent;
import javax.swing.JButton;
import javax.swing.JPanel;
/**/
public class ButtonPanel extends JPanel {
  /**/
  private JButton hit, stick;
  /**/
  public ButtonPanel ( ) {
    /**/
    super();
    /**/
    Dimension d;
    /**/
    hit=new JButton("Hit");
    hit.setMnemonic(KeyEvent.VK_H);
    stick=new JButton("Stick");
    stick.setMnemonic(KeyEvent.VK_S);
    /**/
    d=stick.getPreferredSize();
    hit.setPreferredSize(d);
    /**/
    hit.setEnabled(false);
    stick.setEnabled(false);
    /**/
    initLayout();
  }
  /**/
  public JButton getHit () {
    return hit;
  }
  /**/
  public JButton getStick () {
    return stick;
  }
  /**/
  private void initLayout () {
    /**/
    GridBagLayout gbl=new GridBagLayout();
    setLayout(gbl);
    /**/
    int gridx, gridy, gridwidth, gridheight, anchor, fill, ipadx, ipady;
    Insets insets;
    double weightx, weighty;
    /**/
    fill=GridBagConstraints.NONE;  ipadx=0;  ipady=0;
    insets=new Insets(2,2,2,2);
    /*
     *  hit
     */
    gridx=0;  gridy=0;  gridwidth=1;  gridheight=1;
    weightx=1.0;  weighty=0.5;
    anchor=GridBagConstraints.SOUTH;
    /**/
    gbl.setConstraints(hit,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(hit);
    /*
     *  stick
     */
    gridx=0;  gridy=1;  gridwidth=1;  gridheight=1;
    weightx=1.0;  weighty=0.5;
    anchor=GridBagConstraints.NORTH;
    /**/
    gbl.setConstraints(stick,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(stick);
    /**/
    return;
  }
}
