public class Card implements Sortable {
  /**/
  public static final String [] CARDS = new String [] {
    "c2" , "d2" , "h2" , "s2" , "c3" , "d3" , "h3"  , "s3"  , "c4"  , "d4"  , "h4" , "s4" , "c5" ,
    "d5" , "h5" , "s5" , "c6" , "d6" , "h6" , "s6"  , "c7"  , "d7"  , "h7"  , "s7" , "c8" , "d8" ,
    "h8" , "s8" , "c9" , "d9" , "h9" , "s9" , "c10" , "d10" , "h10" , "s10" , "cj" , "dj" , "hj" ,
    "sj" , "cq" , "dq" , "hq" , "sq" , "ck" , "dk"  , "hk"  , "sk"  , "ca"  , "da" , "ha" , "sa" ,
    "back" , "empty"
  };
  /**/
  private boolean isDown;
  private int index, value;
  /**/
  public Card ( int index ) {
    /**/
    this.index=index;
    init();
  }
  /**/
  public boolean isDown () {
    return isDown;
  }
  /**/
  public int getIndex () {
    return index;
  }
  /**/
  public void flip () {
    if ( isDown ) isDown=false;
    else          isDown=true;
  }
  /**/
  public int getValue () {
    return value;
  }
  /**/
  public boolean lessThan ( Sortable o ) {
    /**/
    Card otherCard;
    int otherIndex;
    /**/
    otherCard=(Card)o;
    otherIndex=otherCard.getIndex();
    /**/
    if ( index < otherIndex ) return true;
    else                      return false;
  }
  /**/
  private void init () {
    /**/
    String vs;
    /**/
    isDown=false;
    /**/
    vs=CARDS[index].substring(1);
    if      ( vs.equals("a") ) value=11;
    else if ( vs.equals("k") ) value=10;
    else if ( vs.equals("q") ) value=10;
    else if ( vs.equals("j") ) value=10;
    else                       value=Integer.parseInt(vs);
    /**/
    return;
  }
}
