import java.awt.Font;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
/**/
public class DeckReadoutPanel extends JPanel {
  /**/
  int numCardsInDeck;
  private JTextField field;
  /**/
  public DeckReadoutPanel () {
    /**/
    super();
    /**/
    Font f;
    /**/
    setFocusable(false);
    /**/
    field=new JTextField(3);
    f=new Font("monospaced",Font.PLAIN,12);
    field.setFont(f);
    field.setFocusable(false);
    field.setEditable(false);
    field.setHorizontalAlignment(JTextField.RIGHT);
    /**/
    reset();
    /**/
    initLayout();
  }
  /**/
  public void reset() {
    /**/
    field.setText("");
    return;
  }
  /**/
  public void initGame () {
    /**/
    numCardsInDeck=52;
    field.setText("52");
    return;
  }
  /**/
  public void decrement () {
    /**/
    --numCardsInDeck;
    field.setText( Integer.toString(numCardsInDeck) );
    return;
  }
  /**/
  private void initLayout () {
    /**/
    JLabel label=new JLabel("Cards Remaining In Deck:");
    /**/
    GridBagLayout gbl=new GridBagLayout();
    setLayout(gbl);
    /**/
    int gridx, gridy, gridwidth, gridheight, anchor, fill, ipadx, ipady;
    Insets insets;
    double weightx, weighty;
    /**/
    fill=GridBagConstraints.NONE;  ipadx=0;  ipady=0;
    insets=new Insets(2,2,2,2);
    /*
     *  label
     */
    gridx=0;  gridy=0;  gridwidth=1;  gridheight=1;
    weightx=0.5;  weighty=1.0;
    anchor=GridBagConstraints.EAST;
    /**/
    gbl.setConstraints(label,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(label);
    /*
     *  field
     */
    gridx=1;  gridy=0;  gridwidth=1;  gridheight=1;
    weightx=0.5;  weighty=1.0;
    anchor=GridBagConstraints.WEST;
    /**/
    gbl.setConstraints(field,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(field);
    /**/
    return;
  }
}
