import java.awt.Font;
import javax.swing.JTextArea;
/**/
public class HandStatusReadout extends JTextArea {
  /**/
  private String [][] status;
  /**/
  public HandStatusReadout () {
    /**/
    super(5,21);
    setFocusable(false);
    /**/
    Font f;
    /**/
    f=new Font("Monospaced",Font.PLAIN,12);
    setFont(f);
    reset();
    /**/
    init();
  }
  /**/
  public void reset () {
    setText(" ");
  }
  /**/
  public void displayStatus ( int index ) {
    /**/
    int len;
    String lf, text;
    String [] sa;
    /**/
    lf="\n";
    sa=status[index];
    len=sa.length;
    text=lf;
    /**/
    for ( int i=0; i<len; ++i ) text += (sa[i] + lf);
    setText(text);
    /**/
    return;
  }
  /**/
  private void init () {
    /**/
    status=new String [8][];
    /**/
    status[0]=new String [] {
      " Computer is busted. " ,
      " Player is busted. "   ,
      " Tie hand! "
    };
    /**/
    status[1]=new String [] {
      " Computer is busted. " ,
      " Player wins hand! "
    };
    /**/
    status[2]=new String [] {
      " Player is busted. "   ,
      " Computer wins hand! "
    };
    /**/
    status[3]=new String [] {
      " Computer wins hand! "
    };
    /**/
    status[4]=new String [] {
      " Player wins hand! "
    };
    /**/
    status[5]=new String [] {
      " Game over! " ,
      " Tie game! "
    };
    /**/
    status[6]=new String [] {
      " Game over! "        ,
      " Player wins game! "
    };
    /**/
    status[7]=new String [] {
      " Game over! "          ,
      " Computer wins game! "
    };
    /**/
    return;
  }
}
