import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
/**/
public class ButtonCallBacks implements ActionListener {
  /**/
  private GameLogic gl;
  private JButton hit, stick, ok;
  private MainWindow mw;
  /**/
  public ButtonCallBacks ( MainWindow mw, GameLogic gl ) {
    /**/
    ButtonPanel bp;
    GameStatusPanel gsp;
    MainPanel mp;
    /**/
    this.mw=mw;
    this.gl=gl;
    /**/
    mp=mw.getMainPanel();
    bp=mp.getButtonPanel();
    gsp=mp.getGameStatusPanel();
    /**/
    hit=bp.getHit();
    hit.addActionListener(this);
    /**/
    stick=bp.getStick();
    stick.addActionListener(this);
    /**/
    ok=gsp.getOkButton();
    ok.addActionListener(this);
  }
  /**/
  public void actionPerformed ( ActionEvent ae ) {
    /**/
    int status;
    JButton source;
    /**/
    status=-1;
    source=(JButton)ae.getSource();
    if      ( source == hit   ) status=gl.playerDraws(1);
    else if ( source == stick ) status=gl.playerDraws(2);
    else if ( source == ok    ) gl.startHand();
    /**/
    if      ( status == 0 ) gl.gameOver();
    else if ( status == 1 ) gl.playerBusted();
    else if ( status == 3 ) gl.endHand();
    /**/
    return;
  }
}
