public class Deck {
  /**/
  private int cardsRemaining;
  private Card [] deck;
  /**/
  public Deck () {
    /**/
    init();
  }
  /**/
  public boolean canDraw () {
    /**/
    if ( cardsRemaining > 0 ) return true;
    else                      return false;
  }
  /**/
  public Card draw () {
    /**/
    return deck[--cardsRemaining];
  }
  /**/
  public Card [] getRemainingDeck () {
    /**/
    Card [] rv;
    /**/
    rv=new Card [cardsRemaining];
    for ( int i=0; i<cardsRemaining; ++i ) rv[i]=deck[i];
    /**/
    return rv;
  }
  /**/
  private void init () {
    /**/
    int [] randomList;
    Card [] ca;
    /**/
    ca=new Card [52];
    for ( int i=0; i<52; ++i ) ca[i]=new Card(i);
    /**/
    randomList=randomList();
    deck=new Card [52];
    for ( int i=0; i<52; ++i ) deck[i]=ca[randomList[i]];
    /**/
    cardsRemaining=52;
    /**/
    return;
  }
  /**/
  private static int [] randomList () {
    /**/
    int ri;
    int [] rv;
    /**/
    rv=new int [52];
    for ( int i=0; i<52; ++i ) rv[i]=52;
    /**/
    for ( int i=0; i<52; ++i ) {
      while ( true ) {
        ri=(int)(52.0*Math.random());
        if ( !contains(ri,rv) ) {
          rv[i]=ri;
          break;
        }
      }
    }
    /**/
    return rv;
  }
  /**/
  private static boolean contains ( int n, int [] list ) {
    /**/
    for ( int i=0; i<52; ++i ) {
      if ( list[i] == n ) return true;
    }
    return false;
  }
}
