import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.awt.event.KeyEvent;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
/**/
public class GameStatusPanel extends JPanel {
  /**/
  private HandStatusReadout hsro;
  private JButton ok;
  /**/
  public GameStatusPanel () {
    /**/
    super();
    /**/
    hsro=new HandStatusReadout();
    /**/
    ok=new JButton("OK");
    ok.setMnemonic(KeyEvent.VK_O);
    ok.setEnabled(false);
    /**/
    init();
  }
  /**/
  public HandStatusReadout getHandStatusReadout () {
    return hsro;
  }
  /**/
  public JButton getOkButton () {
    return ok;
  }
  /**/
  private void init () {
    /**/
    int gridx, gridy, gridwidth, gridheight, anchor, fill, ipadx, ipady;
    double weightx, weighty;
    GridBagLayout gbl;
    Insets insets;
    JLabel jl;
    /**/
    jl=new JLabel("Status:");
    /**/
    gbl=new GridBagLayout();
    setLayout(gbl);
    /**/
    fill=GridBagConstraints.NONE;  ipadx=0;  ipady=0;
    insets=new Insets(2,2,2,2);
    /*
     *  jl
     */
    gridx=0;  gridy=0;  gridwidth=1;  gridheight=1;
    weightx=0.0;  weighty=1.0;
    anchor=GridBagConstraints.NORTHWEST;
    /**/
    gbl.setConstraints(jl,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(jl);
    /*
     *  hsro
     */
    gridx=1;  gridy=0;  gridwidth=1;  gridheight=1;
    weightx=0.0;  weighty=1.0;
    anchor=GridBagConstraints.NORTHWEST;
    /**/
    gbl.setConstraints(hsro,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(hsro);
    /*
     *  ok
     */
    gridx=2;  gridy=0;  gridwidth=1;  gridheight=1;
    weightx=1.0;  weighty=1.0;
    anchor=GridBagConstraints.NORTHWEST;
    /**/
    gbl.setConstraints(ok,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(ok);
    /**/
    return;
  }
}
