public class Hand {
  /**/
  private Card [] ca, sorted;
  /**/
  public Hand ( Card [] ca ) {
    /**/
    this.ca=ca;
    sort();
  }
  /**/
  public Card [] getCards () {
    return ca;
  }
  /**/
  public void add ( Card c ) {
    /**/
    int len;
    Card [] temp;
    /**/
    len=ca.length;
    temp=new Card [len+1];
    for ( int i=0; i<len; ++i ) temp[i]=ca[i];
    temp[len]=c;
    /**/
    ca=new Card [len+1];
    for ( int i=0; i<=len; ++i ) ca[i]=temp[i];
    /**/
    sort();
  }
  /**/
  public int getValue () {
    /**/
    int len, sum;
    /**/
    sum=0;
    len=ca.length;
    for ( int i=0; i<len; ++i ) sum += ca[i].getValue();
    /**/
    return sum;
  }
  /**/
  public Card getHighCard () {
    /**/
    int len;
    /**/
    len=sorted.length;
    return sorted[len-1];
  }
  /**/
  private void sort () {
    /**/
    int len;
    /**/
    len=ca.length;
    sorted=new Card [len];
    for ( int i=0; i<len; ++i ) sorted[i]=ca[i];
    BubbleSort.bubbleSort(sorted);
    /**/
    return;
  }
}
