import javax.swing.JFrame;
import javax.swing.JMenuBar;
/**/
public class MainWindow extends JFrame {
  /**/
  private CardResources cr;
  private Deck deck;
  private HandPanel chp, php;
  private MainMenu mm;
  private MainPanel mp;
  /**/
  public MainWindow ( String title ) {
    /**/
    super(title);
    /**/
    JMenuBar mb;
    /**/
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    setLocation(100,100);
    /**/
    cr=new CardResources();
    deck=new Deck();
    /**/
    chp=new HandPanel(this);
    php=new HandPanel(this);
    mp=new MainPanel(this);
    /**/
    mm=new MainMenu();
    mb=new JMenuBar();
    mb.add(mm);
    setJMenuBar(mb);
    /**/
    getContentPane().add(mp);
  }
  /**/
  public CardResources getCardResources () {
    return cr;
  }
  /**/
  public Deck getDeck () {
    return deck;
  }
  /**/
  public HandPanel getComputerHandPanel () {
    return chp;
  }    
  /**/
  public HandPanel getPlayerHandPanel () {
    return php;
  }
  /**/
  public MainPanel getMainPanel () {
    return mp;
  }
  /**/
  public MainMenu getMainMenu () {
    return mm;
  }
}
