import java.awt.Font;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
/**/
public class ScoreReadout extends JPanel {
  /**/
  private int score;
  private JTextField readout;
  /**/
  public ScoreReadout ( String player ) {
    /**/
    super();
    /**/
    Font f;
    /**/
    setFocusable(false);
    readout=new JTextField(3);
    readout.setFocusable(false);
    readout.setEditable(false);
    f=new Font("monospaced",Font.PLAIN,12);
    readout.setFont(f);
    readout.setHorizontalAlignment(JTextField.RIGHT);
    /**/
    initLayout(player);
  }
  /**/
  public void initScore () {
    /**/
    score=0;
    readout.setText("0");
    /**/
    return;
  }
  /**/
  public int getScore () {
    return score;
  }
  /**/
  public void incrementScore () {
    /**/
    ++score;
    readout.setText( Integer.toString(score) );
    /**/
    return;
  }
  /**/
  private void initLayout ( String player ) {
    /**/
    JLabel label;
    /**/
    label=new JLabel( player + ":" );
    /**/
    GridBagLayout gbl=new GridBagLayout();
    setLayout(gbl);
    /**/
    int gridx, gridy, gridwidth, gridheight, anchor, fill, ipadx, ipady;
    Insets insets;
    double weightx, weighty;
    /**/
    fill=GridBagConstraints.NONE;  ipadx=0;  ipady=0;
    insets=new Insets(2,2,2,2);
    /*
     *  label
     */
    gridx=0;  gridy=0;  gridwidth=1;  gridheight=1;
    weightx=0.5;  weighty=1.0;
    anchor=GridBagConstraints.EAST;
    /**/
    gbl.setConstraints(label,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(label);
    /*
     *  readout
     */
    gridx=1;  gridy=0;  gridwidth=1;  gridheight=1;
    weightx=0.5;  weighty=1.0;
    anchor=GridBagConstraints.WEST;
    /**/
    gbl.setConstraints(readout,
      new GridBagConstraints(
        gridx, gridy, gridwidth, gridheight, weightx, weighty,
        anchor, fill, insets, ipadx, ipady
      )
    );
    add(readout);
    /**/
    return;
  }
}
